io.undertow.server.protocol.http2

## Class Http2UpgradeHandler

- java.lang.Object
- - io.undertow.server.protocol.http2.Http2UpgradeHandler

All Implemented Interfaces:
  HttpHandler

    public class Http2UpgradeHandler
    extends Object
    implements HttpHandler

Upgrade listener for HTTP2, this allows connections to be established using the upgrade mechanism as detailed in Section 3.2. This should always be the first handler in a handler chain.

Author:
  Stuart Douglas

### Constructor Summary

Constructors
Constructor and Description
`Http2UpgradeHandler(HttpHandler next)`
`Http2UpgradeHandler(HttpHandler next, String... upgradeStrings)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `handleRequest(HttpServerExchange exchange)` Handle the request.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Http2UpgradeHandler

    public Http2UpgradeHandler(HttpHandler next)

#### Http2UpgradeHandler

    public Http2UpgradeHandler(HttpHandler next,
                               String... upgradeStrings)

### Method Detail

#### handleRequest

    public void handleRequest(HttpServerExchange exchange)
                       throws Exception

Description copied from interface: `HttpHandler`
Handle the request.

Specified by:
  `handleRequest` in interface `HttpHandler`
Parameters:
  `exchange` - the HTTP request/response exchange
Throws:
  `Exception`